/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package beaconfinder;

/**
 * Misc. methods for the BeaconFinderApp.
 *
 * @author Allen Miu
 */
public class Util 
{
    public static boolean debugMode = true;

    public static void log(String s) 
    {
	if(debugMode) 
	    System.out.println(s);
    }
    
    public static void assert_nonjava(boolean pred, String errMsg) 
    {
	if(!pred) {
	    System.out.println("Assertion Error!!!!");
	    System.out.println(errMsg);
	    System.exit(1);
	}
    }

    /*
      public static final int CLOCK_FREQ_HZ  = 15625;
      public static final double TEMPERATURE_C = 20.0;
      public static final double HUMIDITY_PERCENT = 50.0;
      public static final double DELAY_OFFSET_CM = 80.0;
    */

    /* Deprecated:  See cricketdaemon.UnitConv
    public static double b2cm(double bodhi)
    {
	return (double) bodhi*34449.0/CLOCK_FREQ_HZ;
    }

    public static double b2in(double bodhi)
    {
	return (double) bodhi*34449.0/(CLOCK_FREQ_HZ*2.54);
    }
    */

    public static String valueToString(double value, double precision) {
	String result;

	int i = (int) Math.round(value/precision);

	value = i*precision; 
	if(Math.abs(value) < 0.001) // per java doc Double.toString()
	    value = 0.0;
	result = String.valueOf(value);
	int end = result.indexOf(".")+3;
	if(end > result.length())
	    end = result.length();
	return result.substring(0, end);
    }

    /*
      public static int indexOf(Object[] a, Object o)
      {
      for(int i = 0; i < a.length; i++) {
      if(a[i].equals(o))
      return i;
      }
      return -1;
      }
    */
}
